Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

OpenSSL Montgomery Multiplication Denial of Service Vulnerability (Windows)

Information

Severity

Severity

Low

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

2.6

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:H/Au:N/C:N/I:N/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

5 years ago

Modified

Modified

3 years ago

Summary

This host is running OpenSSL and is prone to denial of service vulnerability.

Insight

Insight

The flaw is due to a carry propagating bug in the Broadwell-specific Montgomery multiplication procedure that handles input lengths divisible by, but longer than 256 bits.

Affected Software

Affected Software

OpenSSL 1.1.0 before 1.1.0c and 1.0.2 before 1.0.2k on Windows.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Upgrade to OpenSSL version 1.1.0c or 1.0.2k or later.

Common Vulnerabilities and Exposures (CVE)